Payment Refund Detail
curl --request GET \
--url https://api.unibee.dev/merchant/payment/refund/detail \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.unibee.dev/merchant/payment/refund/detail"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.unibee.dev/merchant/payment/refund/detail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"data": {
"refundDetail": {
"payment": {
"action": {},
"authorizeComment": "<string>",
"authorizeReason": "<string>",
"authorizeStatus": 123,
"autoCharge": true,
"automatic": 123,
"balanceAmount": 123,
"billingReason": "<string>",
"cancelTime": 123,
"countryCode": "<string>",
"createTime": 123,
"cryptoAmount": 123,
"cryptoCurrency": "<string>",
"currency": "<string>",
"externalPaymentId": "<string>",
"failureReason": "<string>",
"gasPayer": "<string>",
"gatewayCurrencyExchange": {
"exchange_amount": 123,
"exchange_rate": 123,
"from_currency": "<string>",
"to_currency": "<string>"
},
"gatewayId": 123,
"gatewayPaymentId": "<string>",
"gatewayPaymentType": "<string>",
"invoiceId": "<string>",
"lastError": "<string>",
"link": "<string>",
"merchantId": 123,
"metadata": {},
"paidTime": 123,
"paymentAmount": 123,
"paymentId": "<string>",
"refundAmount": 123,
"returnUrl": "<string>",
"splitSequence": 123,
"status": 123,
"subscriptionId": "<string>",
"totalAmount": 123,
"userId": 123
},
"refund": {
"adminMemberId": 123,
"countryCode": "<string>",
"createTime": 123,
"currency": "<string>",
"externalRefundId": "<string>",
"gatewayCurrencyExchange": {
"exchange_amount": 123,
"exchange_rate": 123,
"from_currency": "<string>",
"to_currency": "<string>"
},
"gatewayId": 123,
"gatewayRefundId": "<string>",
"invoiceId": "<string>",
"merchantId": 123,
"metadata": {},
"paymentId": "<string>",
"refundAmount": 123,
"refundComment": "<string>",
"refundCommentExplain": "<string>",
"refundId": "<string>",
"refundTime": 123,
"returnUrl": "<string>",
"status": 123,
"subscriptionId": "<string>",
"type": 123,
"userId": 123
},
"user": {
"address": "<string>",
"avatarUrl": "<string>",
"billingType": 123,
"birthday": "<string>",
"city": "<string>",
"companyName": "<string>",
"countryCode": "<string>",
"countryName": "<string>",
"createTime": 123,
"custom": "<string>",
"email": "<string>",
"externalUserId": "<string>",
"facebook": "<string>",
"firstName": "<string>",
"gatewayId": 123,
"gatewayPaymentType": "<string>",
"gender": "<string>",
"id": 123,
"isRisk": 123,
"isSpecial": 123,
"language": "<string>",
"lastLoginAt": 123,
"lastName": "<string>",
"linkedIn": "<string>",
"merchantId": 123,
"metadata": {},
"mobile": "<string>",
"otherSocialInfo": "<string>",
"paymentMethod": "<string>",
"phone": "<string>",
"recurringAmount": 123,
"registrationNumber": "<string>",
"school": "<string>",
"state": "<string>",
"status": 123,
"subscriptionId": "<string>",
"subscriptionName": "<string>",
"subscriptionStatus": 123,
"taxPercentage": 123,
"telegram": "<string>",
"tikTok": "<string>",
"timeZone": "<string>",
"type": 123,
"userName": "<string>",
"vATNumber": "<string>",
"version": 123,
"weChat": "<string>",
"whatsAPP": "<string>",
"zipCode": "<string>"
}
}
},
"merchantId": 123,
"message": "<string>",
"redirect": "<string>",
"requestId": "<string>"
}Payment
Payment Refund Detail
GET
/
merchant
/
payment
/
refund
/
detail
Payment Refund Detail
Endpoint Overview
GEThttps://api.unibee.dev/merchant/payment/refund/detail
Payment Refund Detail
Authorization
All UniBee Merchant API requests require authentication via API key.| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer <your_api_key> |
Content-Type | Yes | application/json (for request body) |
Parameters
Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
refundId | string | No | RefundId |
Request examples
cURL
curl -X GET "https://api.unibee.dev/merchant/payment/refund/detail" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"
Sandbox
curl -X GET "https://api-sandbox.unibee.top/merchant/payment/refund/detail" \
-H "Authorization: Bearer YOUR_SANDBOX_API_KEY" \
-H "Content-Type: application/json"
Response
Success responses return a JSON envelope withcode, data, message, redirect, and requestId. code 0 indicates success.
| Field | Type | Description |
|---|---|---|
code | integer | Response code. 0 = success |
data | object | Response payload |
data.refundDetail | object | |
message | string | Human-readable message |
requestId | string | Request ID for support |
Error handling
| HTTP status | Meaning |
|---|---|
| 400 | Bad request — invalid or missing parameters. Check message in the body. |
| 401 | Unauthorized — missing or invalid API key. |
| 404 | Not found — invalid path or resource. |
| 500 | Server error — retry with backoff. |
code in the response body is non-zero, check message for details. Use requestId when contacting support.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
RefundId
⌘I

